# ruleset

Overrides the module-wide ruleset binding for this specific RELP listener.

This parameter applies to imrelp: RELP Input Module.

Name:

  ruleset

Scope:

  input

Type:

  string

Default:

  input=none

Required?:

  no

Introduced:

  Not documented

## Description

Binds the specified ruleset to this listener. This overrides the module-level ruleset parameter.

## Input usage

    input(type="imrelp" port="2514" ruleset="relpListenerRules")

## See also

See also imrelp: RELP Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.